Skip to main content
Nowledge MemNowledge Mem
API ReferenceSettingsAgent profiles

Create Agent Profile

POST
/settings/agent-profiles

Create a named agent identity consumed by Context Bundle.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/settings/agent-profiles" \  -H "Content-Type: application/json" \  -d '{}'
{  "defaultSpaceId": "string",  "description": "string",  "displayName": "string",  "hostAgentId": "string",  "id": "string",  "identityReference": "string",  "instructions": "string",  "origin": "string",  "role": "string",  "sourceApp": "string",  "tags": [    "string"  ]}